GET /api/v3/campaigns/extensions/watchfire/campaigns¶
Summary¶
GET /v3/campaigns/extensions/watchfire/campaigns
Description¶
Return a list of campaigns that are linked to watchfire advertiser ids
🔒 Required Permissions¶
At least one of the following permissions is required to access this endpoint:
account.viewCampaignsagency.viewCampaigns
Tags: campaigns
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean): Indicates whether the request was successful or notcampaigns(array): The campaigns that are linked to watchfire advertiser ids-
Array items:
objectType:objectProperties:
name(string)lcuid(string)active(boolean)created_at(string)campaign_state(integer)campaign_state_changed_at(string)hash_id(string)campaign_class(string)campaign_class_description(string)agencies(array)-
Array items:
objectType:objectProperties:
name(string)lcuid(string)agency_class_description(string)id(integer)
-
options(object) Type:object
Properties:
unique_board_sizes(array)- Array items:
string
- Array items:
unique_board_formats(array)- Array items:
string
- Array items:
watchfire_ignite_media_uuids(array)- Array items:
string
- Array items:
-
watchfire_ignite_advertiser_id(string) -
schedule(string) id(integer)build_status(integer)last_build_at(string)
Example Response¶
{
"success": true,
"campaigns": [
{
"name": "Breezy Billboards North Washington",
"lcuid": "LCUID-LE-95c2881e-3243-42d6-a334-a3d6943c3afa",
"active": true,
"created_at": "2026-01-07T00:10:37.000000Z",
"campaign_state": 6,
"campaign_state_changed_at": null,
"hash_id": "lch-4CPd",
"campaign_class": "App\\LuCore\\Campaigns\\OperatorContractCampaignClass",
"campaign_class_description": "Media Owner Contract",
"agencies": [
{
"name": "Breezy Billboards",
"lcuid": "LCUID-LY-348057ff-2c87-4daf-a99d-9296ccbdfd2e",
"agency_class_description": "",
"id": 5966
}
],
"options": {
"unique_board_sizes": [
"1024x768"
],
"unique_board_formats": [
"oddblock"
],
"watchfire_ignite_media_uuids": [
"a2669221-6e06-428b-89ff-0dc3e26d247b"
],
"watchfire_ignite_advertiser_id": "37348476-aff5-4caf-a16a-c7fe7cec0160"
},
"schedule": null,
"id": 1029,
"build_status": 7,
"last_build_at": null
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/campaigns/extensions/watchfire/campaigns" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/campaigns/extensions/watchfire/campaigns"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/campaigns/extensions/watchfire/campaigns',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/campaigns/extensions/watchfire/campaigns'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"campaigns": [
{
"name": "Breezy Billboards North Washington",
"lcuid": "LCUID-LE-95c2881e-3243-42d6-a334-a3d6943c3afa",
"active": true,
"created_at": "2026-01-07T00:10:37.000000Z",
"campaign_state": 6,
"campaign_state_changed_at": null,
"hash_id": "lch-4CPd",
"campaign_class": "App\\LuCore\\Campaigns\\OperatorContractCampaignClass",
"campaign_class_description": "Media Owner Contract",
"agencies": [
{
"name": "Breezy Billboards",
"lcuid": "LCUID-LY-348057ff-2c87-4daf-a99d-9296ccbdfd2e",
"agency_class_description": "",
"id": 5966
}
],
"options": {
"unique_board_sizes": [
"1024x768"
],
"unique_board_formats": [
"oddblock"
],
"watchfire_ignite_media_uuids": [
"a2669221-6e06-428b-89ff-0dc3e26d247b"
],
"watchfire_ignite_advertiser_id": "37348476-aff5-4caf-a16a-c7fe7cec0160"
},
"schedule": null,
"id": 1029,
"build_status": 7,
"last_build_at": null
}
]
}